<!--
  Generated template for the ChatPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="dark">
    <ion-title>Chats</ion-title>
    <ion-buttons end>
    	<button ion-button icon-only (click)="allUserListPage()" class="allUserNReqBtn">
        <ion-badge color="danger" class="allUserNReqBadges" *ngIf="receiveReq > 0" color="accent">{{ receiveReq }}</ion-badge>
        <ion-icon name="person-add" class="allUserNReqIcon"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-searchbar class="all-chat-contact-search-bar" [(ngModel)]="searchString" (input)="searchuser($event)" placeholder="Search"></ion-searchbar>
  <ion-list no-lines class="chat-contact-list">
    <div *ngFor="let allChatContact of chatContactList$ | async" class="contact-card">
      <div *ngFor="let allUser of userList$ | async">
        <ion-item *ngIf="allChatContact.key == allUser.key" (click)="selectedChatConversation(allChatContact.key)">
          <ion-thumbnail item-left>
            <img-loader [src]="allUser.photoURL" useImg></img-loader>
          </ion-thumbnail>
          <h2 class="user-name">{{ allUser.displayName }}</h2>
          <div *ngFor="let lastMsg of allChatContact | getlastmsg; let last = last" class="last-message-container">
            <div *ngIf="last" class="last-message">
              <div>
                <ion-icon name="camera" *ngIf="lastMsg.message == 'Image Attachment' | filterlastmsg: lastMsg.type" class="last-message-image-attachment-icon"></ion-icon>
              </div>
              <p>{{ lastMsg.message | filterlastmsg: lastMsg.type }}</p>
            </div>
          </div>
        </ion-item>
      </div>
    </div>
  </ion-list>
</ion-content>
